- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_write_concern_t

# mongoc_write_concern_get_w()

## Synopsis

    int32_t
    mongoc_write_concern_get_w (const mongoc_write_concern_t *write_concern);

## Parameters

- `write_concern`: A mongoc_write_concern_t.

## Description

Fetches the `w` parameter of the write concern.

## Returns

Returns an integer containing the w value. If wmajority is set, this would be MONGOC_WRITE_CONCERN_W_MAJORITY.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.